%define version 1.0.3
%define name licq
%define prefix %{_prefix}
%define release 4mdk

Name: %{name}
Summary: ICQ clone written in C++, and the default plugin in Qt
Version: %{version}
Release: %{release}
Source: ftp://ftp.licq.org/pub/licq/srcs/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.licq.org/pub/licq/plugins/licq_update-hosts-0.0.5.tar.bz2
Source3: %{name}.xpm.bz2
Source4: %{name}-32.xpm.bz2
Patch0: update-hosts-configure.in.patch.bz2
Patch1: licq-1.0-iostream.patch.bz2
Patch2: licq.conf.patch.bz2
Patch4: licq-0.85.fix.update-host.patch.bz2
Obsoletes: licq-base licq-ssl licq-data
Group: Networking/Instant messaging
URL: http://www.licq.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt2-devel >= 2.3.0 ncurses-devel openssl-devel XFree86-devel libjpeg-devel libpng-devel  zlib-devel gpm-devel
License: GPL

%package update-hosts
Summary:	An auto update hosts plugin for Licq
Group: Networking/Instant messaging
Requires: licq = %version-%release
Provides: licq-plugin

#%package qt
#Summary: qt based GUI plugin for Licq
#Group: Networking/ICQ
#Provides: licq-plugin
#Requires: licq qt2 >= 2.2

%package console
Summary: Console based plugin for Licq that uses ncurses
Group: Networking/Instant messaging
Provides: licq-plugin
Requires: licq = %{version} ncurses

%package forwarder
Summary: Forwarder plugin for Licq
Group: Networking/Instant messaging
Provides: licq-plugin
Requires: licq = %{version}

%package autoreply
Summary: Autoreply Licq plugin
Group: Networking/Instant messaging
Provides: licq-plugin
Requires: licq = %{version}

%package devel
Summary: Development files for Licq
Group: Development/C

%package rms
Summary: Remote management service plugin
Group: Networking/Instant messaging
Provides: licq-plugin
Requires: licq = %{version}


%description devel
This is the header files that you will need in order to compile Licq plugins.

%description 
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.


%description update-hosts
This is the update hosts plugin for Licq. It can automatically update your
/etc/hosts file with IP and alias of people on your Licq list as they go online
and offline. You can then use their Alias instead of their IP address to access
different resources on their machine, for example, ftp. It can be run 
concurrently with a UI plugin.

Install this if you want this function for Licq.

%description rms
RMS stands for the Remote Management Service. It is a plugin for Licq which 
enables you to "telnet" to your Licq box to perform various tasks. Security is
implemented through basic username and password authentication.


#%description qt
#This is the qt based GUI plugin for Licq.
#
#Install this if you want a qt-based GUI for Licq.

%description console
This is a console based plugin for Licq that uses ncurses that came in the
standard Licq source package. It is extremely usable and functional, but it
does not currently have support for gpm.

Install this if you want to run Licq on the console.

%description forwarder
This plugin for Licq lets you forward messages to your email account. This is a
plugin that came with the standard Licq source package. It can be run 
concurrently with a UI plugin.

Install this if you want to add this function to Licq.

%description autoreply
This plugin for Licq enables Licq to auto reply to messages. This is a plugin
standard Licq source package. It can be run concurrently with a UI plugin.

Install this if you want to add this function to Licq.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -b 1 
mv ../update-hosts* plugins
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p0
cp admin/install-sh plugins/update-hosts*

%build

cd plugins


# console interface /w ncurses plugin
cd console*
aclocal
autoconf
automake
## doesn't work libtoolize --force ## AKA The total
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
%make

# update hosts
cd ../update-hosts*
libtoolize --force
autoconf
aclocal
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
%make


# forwarder
cd ../forwarder*
autoconf
automake
aclocal
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
%make

#auto reply
cd ../auto-reply*
aclocal
autoconf
automake
# doesn't work, doesn't compile
# libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
%make

# remote management service
cd ../rms*
autoconf
automake
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
%make


# qt gui
cd ../qt-gui*
#find . -type f -exec perl -p -i -e "s/-lqt/-lqt2/" {} \;
autoconf
QTDIR="/usr/lib/qt2"  ./configure --prefix=%{prefix} \
   --disable-rpath %{_target_platform}
%make

#main licq stuff

cd ../..
autoconf
# we don't run automake for this, it fucks it up
#libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath %{_target_platform}
cp -f /usr/bin/libtool libtool
%make

%install
rm -rf $RPM_BUILD_ROOT

#licq base
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale

make install prefix=$RPM_BUILD_ROOT/%{prefix}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 src/licq $RPM_BUILD_ROOT%{_bindir}/licq-ssl


install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzip2 -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/licq.xpm
bzip2 -dc %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/icons/licq.xpm

# menu stuff
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/licq <<EOF
?package(licq):\
command="NO_XALF licq"\
icon="licq.xpm"\
title="Licq"\
longtitle="ICQ client"\
needs="gnome"\
section="Networking/Instant messaging"
?package(licq):\
command="licq"\
icon="licq.xpm"\
title="Licq"\
longtitle="ICQ client"\
needs="x11"\
section="Networking/Instant messaging"
EOF


#qt gui
cd plugins/qt-gui*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# console ui
cd ../console*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

#  forwarder
cd ../forwarder*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# auto reply
cd ../auto-reply*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# update hosts
cd ../update-hosts*
#make install prefix=$RPM_BUILD_ROOT/%{prefix}

install -m755 licq_update-hosts.so $RPM_BUILD_ROOT/%{prefix}/lib/licq

# remote management service

cd ../rms*
make install prefix=$RPM_BUILD_ROOT/%{prefix}


# fix the permission problems (??!!!)
cd $RPM_BUILD_ROOT/%{_datadir}/licq/qt-gui/
chmod 755 *

cd $RPM_BUILD_ROOT%{_bindir}
ln -fs licq-ssl licq

%clean
rm -rf $RPM_BUILD_ROOT  

%post
%{update_menus}

%postun
%{clean_menus}


#licq 
%files 
%defattr(-,root,root)
%{_bindir}/licq
%{_bindir}/licq-ssl
%{_menudir}/licq
%{_datadir}/licq/qt-gui
%{_datadir}/licq/translations
%{_datadir}/licq/utilities
%{_datadir}/licq/sounds
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm
%{_libdir}/licq/licq*qt*
%attr(0755,root,root) %{_bindir}/viewurl*
%doc doc/ upgrade/ README*

# qt
#files qt
#defattr(-,root,root)
#{prefix}/share/licq/qt-gui
#{prefix}/share/licq/translations
#{prefix}/share/licq/utilities
#{prefix}/share/licq/sounds
#{prefix}/share/licq/licq*qt*
#{prefix}/share/icons/%{name}.xpm
#{prefix}/share/icons/mini/%{name}.xpm
#doc plugins/qt-gui/README*

# devel
%files devel
%defattr(-,root,root)
%{_includedir}/licq

# update hosts
%files update-hosts
%defattr(-,root,root)
%{_libdir}/licq/licq_update-hosts*
%doc plugins/update-hosts*/README


#%files qt
#%defattr(-,root,root)
#%{_libdir}/licq/licq*qt*

#console plugin
%files console
%defattr(-,root,root)
%{_libdir}/licq/licq*console*
%doc plugins/console*/README

#forwarder plugin
%files forwarder
%defattr(-,root,root)
%{_libdir}/licq/licq*forward*
%doc plugins/forward*/README

#auto reply plugin
%files autoreply
%defattr(-,root,root)
%{_libdir}/licq/licq_auto*
%doc plugins/auto*/README


# remote management svcx
%files rms
%defattr(-,root,root)
%{_libdir}/licq/licq*rms*
%doc plugins/rms*/COPYING plugins/rms*/README

%changelog
* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Correct menu entry for GNOME (disable xalf)

* Sat Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-3mdk
- Make licq-data obsolete (for older systems).

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-2mdk
- Rebuild against Qt 2.3.0

* Sat Mar 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3 to fix a not-so-new-and-shiny-source aka security fix.

* Tue Feb 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-3mdk
- Rebuild with libmng1

* Thu Jan 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-2mdk
- back to -O3.

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- nice and shiny source.

* Wed Dec 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-5mdk
- compile the Qt plugin without optimizations.
- remove the segfault hack for version 0.85.

* Wed Nov 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 1.0-4mdk
- patched source to generate to use soundwrapper by default.

* Sun Nov 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- recompile with new gcc.

* Sun Oct 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-2mdk
- add a missing iostream include.

* Fri Oct 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-1mdk
- a very nice and new shiny version.

* Sun Oct 08 2000 Geoffrey Lee <snailtalk@mandrakeoft.com> 0.85-23mdk
- fix the segv problems (Jason, Alex.)
- remove qt-devel (Why was it ever there ??)

* Wed Sep 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-22mdk
- remove the wrapper script. It is a bad idea, really ... Qt has pretty
  crappy support for i18n anyway.
- replace the wrapper script with a symbolic link.

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.85-21mdk
- Fix section in Menu entry$
- Fux Summary

* Sat Sep 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-20mdk
- rebuild against the latest Qt library.
- a fix for the shell script wrapper.

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-19mdk
- for each (@group) s/ICQ/Instant messaging/;

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-18mdk
- really obsolete licq-ssl ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-17mdk
- requires licq, not licq-base. OK this really should be the last problem..:-(

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-16mdk
- obsolete licq-ssl as well. This should be the last of licq problems ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-15mdk
- obsoletes the licq-base package, as it is no longer needed (vdanen.)
- add a script for i18n (me).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandakesoft.com> 0.85-14mdk
- merge the licq-ssl and licq-base package to licq.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-13mdk
- apply patch from Jan Niehusmann <jan@gondor.com> to fix an annoying bug.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com>  0.85-12mdk
- rebuild to fix a typo.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.85-11mdk
- automatically added BuildRequires

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-10mdk
- fix silly typo in the licq-ssl package (andre)

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-9mdk
- add post and postun for ssl package

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-8mdk
- re-enable the ssl binary support since we can include it now

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-7mdk
- fix some wrong requires
- fix the duplicate menu entries
- remove the ssl binary (maybe one should go to crypto ...)

* Fri Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.85-6mdk
- problem with licq-ssl menu entry: command is licq-ssl not licq or else you
  don't get the secure licq to licq implementation!!
- update menus and clean the menus for the licq-ssl pcakage
- fix the requires
- fix some awfully wrong permissions ...

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-5mdk
- re-del the individual versionning. either we use individual release
  tags or we do nothing, in order to not make the upgrades impossible.
- BM

* Tue Jul 18 2000 Geoffrey lee <snailtalk@linux-mandrake.com> 0.85-4mdk
- re-add the individual versioning: it is not silly, because every plugin
  has its own version, it is best not to re-define the version ourselves
- add official rms plugin
- gtk+licq has been moved to separate spec file 
- add devel package

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-3mdk
- fix silly hardcoding of i586-mandrake-linux instead of % {_target_platform}

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-2mdk
- disable silly separate versionning of each plugin

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-1mdk
- 0.85
- gtk plugin does not compile anymore (API change)
- patch4: fix update-host plugin
- patch5: fix ltconfig problem for main

* Wed May 19 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-11mdk
- _tmppath
- better perl fix for gtk+licq install hack
- buildrequires qt2-devel >= 2.1, and not just in requires:
- use QTDIR
- remove some patches
- new mailchecker plugin (not compiled yet, doesn't work with release)
- add password patch for qt-gui and gtk+ gui, please test !!
- oops, require ncurses for console plugin
- removed duplicate summary
- remove -c from %%setup (ugly hack by me) and use mv

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.81-10mdk
- libtoolizification fix (aka shoot'party of configure).

* Wed Apr 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-9mdk
- licq-update-hosts-0.0.5-8mdk.i586.rpm has been lost in space

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-8mdk
- added dependency to qt2 >= 2.1

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-7mdk
- fixed missing icon in filelist
- added 32x32 icon
- cleanup of specfile, install section mostly [still a lot to do]
- path of qt2 with the help of Christopher Molnar

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-6mdk
- changed path of qt2 includes

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-5mdk
- Added menu icon

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-4mdk
- updated to use qt-2.1

* Fri Apr 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- fix menu entry
- merge menu file with spec

* Thu Apr 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-2mdk
- installation hacks for gtk+licq  :-/
- add URL for gtk+licq @ http://gtk.licq.org
- update hosts 0.0.5
- greatly improve description
- use prefix: _prefix and then prefix in files section
- fixed files section
- apologize for the stupid changelog mistakes that i made last time

* Fri Mar 31 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add menu entry
- used srpm from Geoffrey Lee <snailtalk@linux-mandrake.com>
 
* Thu Mar 29 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.81
- qt+licq 0.38.1
- compile qt-gui --with-spoofing ;-) ;-)

* Thu Mar 23 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.80
- add gtk+licq 0.38
- include more docs
- hacked the spec file a lot
- add update-hosts 0.0.4 (hacked slightly to get it to work)
- use autoconf for qt plugin + update-hosts because original configure script
  was f*cked

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean spec
- fix group
- fix files section

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Fix docs
- Strip binaries

* Thu Jan 27 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 0.75.3a
- Fixed upgrade scripts.

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.70.1.
- {Build,}Requires: qt2{-,devel}.
- Correct download locations.
- Improve Summary.
- Fix build with qt2.

* Sun Sep 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.70 final

* Thu Aug 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

